<?php
    session_start();
    include '../config/dbconfig.php';
    if (isset($_SESSION['usuario_logueado'])) {
        //echo '<script> window.location="videos.php"; </script>';
    }else{
        echo '<script> window.location="login.php"; </script>';
    }
    $data = $database->select("videos", "*", ["id_video" => $_GET['id'] ]);
?>
<!DOCTYPE html>
<html lang="en">
<?php require("include/header.php");?>
<body>
    <div id="wrapper">
        <?php require("include/navegacion.php");?>
        <div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <h1 class="page-header">Editar video de la homilía</h1>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6">
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <form action="php/editar-video-process.php" method="post" id="formularioEditar">
                                <div class="form-group">
                                    <label>Video</label><br>
                                    Copie lo que se encuentra después del signo = (Es igual)  <br>
                                    Ejemplo: https://www.youtube.com/watch?v=<strong>rvHhqZOvxAI</strong> <br><br>
                                    <input type="hidden" name="id_video" value="<?php echo $data[0]['id_video'];?>">
                                    <input type="text" name="video" value="<?php echo $data[0]['video']; ?>" class="form-control" />
                                </div>
                                <a class="btn btn-default btn-md" href="videos.php" style="margin-right:100px;">Cancelar</a>
                                <button type="submit" id="btnEnviar" class="btn btn-info btn-md">Actualizar</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="modalInfo">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4>Información</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                </div>
                <div class="modal-body">
                    <p id="modalTexto"></p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Aceptar</button>
                </div>
            </div>
        </div>
    </div>  
<?php require("include/footer.php");?>    
<script>
$(document).ready(function(){
  $("#formularioEditar").submit(function(event) {
      event.preventDefault();
      $.ajax({
          url: $(this).attr("action"),
          type: $(this).attr("method"),
          data: $(this).serialize(),
          beforeSend: function() {
              $("#btnEnviar").val("Enviando ...");
              $("#btnEnviar").attr("disabled", "disabled").css("cursor", "none");
          },
          success: function(respuesta) {
              $("#btnEnviar").val("ACTUALIZAR");
              $("#btnEnviar").removeAttr("disabled").css("cursor", "pointer");
              $("#modalTexto").text(respuesta);
              $("#modalInfo").modal();
              if (respuesta == "Homilía publicada") {
                  setTimeout(' window.location.href = "videos.php"; ', 3000);
              }
          }
      });
  });
})
</script>   
</body>
</html>