<?php
    session_start();
    include '../config/dbconfig.php';
    if (isset($_SESSION['usuario_logueado'])) {
        echo '<script> window.location="videos.php"; </script>';
    }
?>
<?php header('X-Frame-Options: DENY'); ?>
<!DOCTYPE html>
<html lang="en">
<?php require("include/header.php");?>
<body>
    <div class="container">
        <div class="row">
            <div class="col-md-4 col-md-offset-4">
                <div class="login-panel panel panel-default">
                    <div class="panel-heading">
                        <h3 class="panel-title">LOGIN</h3>
                    </div>
                    <div class="panel-body">
                        <form action="php/login-process.php" method="post" id="formularioLogin">
                            <fieldset>
                                <div class="form-group">
                                    <input class="form-control" type="text" name="user" placeholder="Usuario" required />
                                </div>
                                <div class="form-group">
                                    <input class="form-control" type="password" name="pass" placeholder="Contraseña" required />
                                </div>
                                <div class="g-recaptcha form-group" data-sitekey="6Lfhy4EaAAAAAO7qLMo6kulZ0TJKAXw2s7OztTEK"></div>
                                <input type="submit" name="login" id="btnEnviar" class="btn btn-info btn-block btn-lg" value="Ingresar">
                            </fieldset>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="modalInfo">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4>Información</h4>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            </div>
            <div class="modal-body">
                <p id="modalTexto"></p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Aceptar</button>
            </div>
        </div>
    </div>
</div> 
<?php require("include/footer.php");?>
<script>
$(document).ready(function(){
  /*========= FORMULARIO DE LOGIN ============== */
  $("#formularioLogin").submit(function(event) {
      event.preventDefault();
      var txtCaptcha = grecaptcha.getResponse();
      if (txtCaptcha.length == 0) {
          $("#modalTexto").text("Debe seleccionar que no es un robot");
          $("#modalInfo").modal();
          return false;
      }
      $.ajax({
          url: $(this).attr("action"),
          type: $(this).attr("method"),
          data: $(this).serialize(),
          beforeSend: function() {
              $("#btnEnviar").val("Enviando ...");
              $("#btnEnviar").attr("disabled", "disabled").css("cursor", "none");
          },
          success: function(respuesta) {
              $("#btnEnviar").val("ENVIAR");
              $("#btnEnviar").removeAttr("disabled").css("cursor", "pointer");
              $("#modalTexto").text(respuesta);
              $("#modalInfo").modal();
              grecaptcha.reset();
              if (respuesta == "Datos correctos") {
                  $("#formularioLogin")[0].reset();
                  setTimeout(' window.location.href = "videos.php"; ', 3000);
              }
          }
      });
  });
})
</script>    
</body>

</html>
