<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Radio Cor Ecclesiae</title>
    <meta name="description" content="Radio Web de la Familia de los Corazones Traspasados de Jesús y María">
    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="css/style.css">
    <script src='https://www.google.com/recaptcha/api.js'></script>
  </head>
<body id="contactanos">
<?php include 'include/header.php'; ?>
<div class="sombra">
  <div class="container">
    <div class="col-md-12 margin">
      <div class="col-md-10">
        <audio style="width:100%;" preload controls autoplay><source src="http://167.114.130.228:8510/stream"></audio>
      </div>
      <div class="col-md-2">
        <img src="images/en-vivo.png" class="img-responsive" alt="Radio Cor Ecclesiae">
      </div>
    </div>
  </div>
</div>  
<div class="titulo container-fluid margin">
  <div class="container">
    <div class="col-md-12">
     <h3>CONTÁCTANOS</h3>
    </div>
  </div>
</div>
<img src="images/separador.jpg" style="width:100%;" alt="Radio Cor Ecclesiae">
<div class="container margin row-centered contenido">
	<div class="col-md-10 col-centered">
	  <div class="col-md-6">
	  	<p class="titulo-contacto">FORMULARIO DE CONTACTO</p>
	  	<form action="php/contacto-process.php" method="post" id="formularioContacto">
	  		<input type="text" name="nombre" placeholder="Nombre y Apellido" required>
	  		<input type="email" name="email" placeholder="Email" required>
	  		<textarea name="mensaje" placeholder="Mensaje" required></textarea>
        <div class="g-recaptcha" data-sitekey="6Lfhy4EaAAAAAO7qLMo6kulZ0TJKAXw2s7OztTEK"></div>
      	<input class="btn" type="submit" value="ENVIAR" id="btnEnviar" style="float: right">
	  	</form>
	  </div>
	  <div class="col-md-6">
	  	<p class="titulo-contacto">INFORMACIÓN</p>
	  	<div class="col-md-1 margin"><img src="images/tel.png" alt="Radio Cor Ecclesiae"></div>
	  	<div class="col-md-11 margin">
        <p><a href="tel:+595986200045" style="color:#303030;">+595 986 200045</a></p>
      </div>
	  	<div class="col-md-1 margin"><img src="images/correo1.png" alt="Radio Cor Ecclesiae"></div>
		  <div class="col-md-11 margin">
      <p>Consultas y Preguntas:<br>
		    <a href="mailto:contacto@corecclesiae.org" target="_blank" style="color: #303030;">contacto@corecclesiae.org</a></p>
      </div>
		  <div class="col-md-1 margin"><img src="images/correo2.png" alt="Radio Cor Ecclesiae"></div>
		  <div class="col-md-11 margin">
      <p>Pedidos de Oración:<br>
		  <a href="mailto:peticiones@corecclesiae.org" target="_blank" style="color: #303030;">peticiones@corecclesiae.org</a></p>
      </div>
	  </div>
	</div>
  <div class="clearfix"></div>
</div>
<div class="modal fade" id="modalInfo">
  <div class="modal-dialog">
      <div class="modal-content">
          <div class="modal-header">
              <h4>Información</h4>
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
          </div>
          <div class="modal-body">
              <p id="modalTexto"></p>
          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-default" data-dismiss="modal">Aceptar</button>
          </div>
      </div>
  </div>
</div> 

<?php include 'include/footer.php'; ?>

<script>
$(document).ready(function(){
  /*========= FORMULARIO DE CONTACTO ============== */
  $("#formularioContacto").submit(function(event) {
      event.preventDefault();
      var txtCaptcha = grecaptcha.getResponse();
      if (txtCaptcha.length == 0) {
          $("#modalTexto").text("Debe seleccionar que no es un robot");
          $("#modalInfo").modal();
          return false;
      }
      $.ajax({
          url: $(this).attr("action"),
          type: $(this).attr("method"),
          data: $(this).serialize(),
          beforeSend: function() {
              $("#btnEnviar").val("Enviando ...");
              $("#btnEnviar").attr("disabled", "disabled").css("cursor", "none");
          },
          success: function(respuesta) {
              $("#btnEnviar").val("ENVIAR");
              $("#btnEnviar").removeAttr("disabled").css("cursor", "pointer");
              $("#modalTexto").text(respuesta);
              $("#modalInfo").modal();
              grecaptcha.reset();
              if (respuesta == "Su mensaje ha sido enviado. Muchas gracias") {
                  $("#formularioContacto")[0].reset();
              }
          }
      });
  });
})
</script>