<?php
  if($_SERVER['REQUEST_METHOD']=="POST"){
    if(!empty($_POST["nombre"]) &&
       !empty($_POST["email"]) &&
       !empty($_POST["mensaje"])  &&
       !empty($_POST["g-recaptcha-response"])){

        $secret= "6Lfhy4EaAAAAAL_P2OwLbdYBfaLEuUQmoF7VszEa";
        $verifyResponse = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret='.$secret.'&response='.$_POST["g-recaptcha-response"]);

        $responseData = json_decode($verifyResponse);

        $nombre_sanitized = filter_var($_POST["nombre"], FILTER_SANITIZE_STRING);
        $email_sanitized = filter_var($_POST["email"], FILTER_SANITIZE_EMAIL);

        if(strlen($nombre_sanitized)< 5){
          echo "Error: El nombre debe tener más de 5 caracteres";

        }else if(!(filter_var($email_sanitized, FILTER_VALIDATE_EMAIL))){
          echo "Error: Debe ingresar un correo válido";

        }else if(preg_match("/\b(?:(?:https?|ftp|http):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i",$_POST['mensaje'])){
            echo "Error: Debe ingresar un mensaje válido";

        }else if(strlen($_POST["mensaje"]) > 500){
            echo "Error: Su mensaje supera el límite de caracteres";

        }else if(!$responseData->success){
            echo "Error: Debe seleccionar que no es un robot";

        }else{
            $mensaje   = $_POST["mensaje"];
            $para         = "contacto@corecclesiae.org";
            $cabecera     = "From: no-reply@corecclesiae.org\r\n";
            $cabecera    .= "MIME-Version: 1.0\r\n";
            $cabecera    .= "Content-type: text/html\r\n";
            $asunto       = "[RADIO COR ECCLESIAE]: Nuevo contacto desde la web";
            $template     = '
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta name="viewport" content="width=device-width">
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    </head>

    <body bgcolor="#FFFFFF">
        <table bgcolor="#78dbff" style="width: 100%; border-top-left-radius: 3px; border-top-right-radius: 3px;">
            <tbody>
                <tr>
                    <td bgcolor="#78dbff">
                        <table style="width: 100%; padding-left: 25px; padding-right: 25px; padding-top: 5px; padding-bottom: 5px;">
                            <tbody>
                                <tr>
                                    <td>
                                        <p style="font-size: 14px; color: #FFFFFF;">
                                            '. $nombre_sanitized . ' se ha contactado
                                        </p>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
            </tbody>
        </table>

        <table bgcolor="#FAFAFA" style="width: 100%; border-left: 1px solid #F0F0F0; border-right: 1px solid #F0F0F0; border-bottom: 1px solid #F0F0F0;">
            <tbody>
                <tr>
                    <td>
                        <table bgcolor="#FFFFFF" style="width: 100%; padding-left: 25px; padding-right: 25px; padding-top: 15px; padding-bottom: 15px;">
                            <tbody>
                                <tr>
                                    <td>
                                        <p style="font-size: 14px; color: #6E6E6E; margin-top: 0px; margin-bottom: 7px;"><b style="color: #6E6E6E">Nombre y Apellido: </b>' . $nombre_sanitized . '</p>
                                        <p style="font-size: 14px; color: #6E6E6E; margin-top: 0px; margin-bottom: 7px;"><b style="color: #6E6E6E">Email: </b><a style="font-size: 14px; color: #6E6E6E;" href="mailto:' . $email_sanitized . '" target="_blank">' . $email_sanitized . '</a></p>
                                        <p style="font-size: 14px; color: #6E6E6E; margin-top: 0px; margin-bottom: 7px;"><b style="color: #6E6E6E">Mensaje: </b>' . $mensaje . '</p>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
            </tbody>
        </table>
    </body>
</html>';
            if(mail($para, $asunto, $template, $cabecera)){
                echo "Su mensaje ha sido enviado. Muchas gracias";
            }else{
                echo "No se pudo enviar su mensaje";
            }
        }
    }else{
      echo "Error: Debe completar todos los campos y marcar que no es un robot";
    }
  }else{
    echo "Acceso denegado";
  }
?>