<?php
    session_start();
    include '../config/dbconfig.php';
    if (isset($_SESSION['usuario_logueado'])) {
        //echo '<script> window.location="videos.php"; </script>';
    }else{
        echo '<script> window.location="login.php"; </script>';
    }
?>
<!DOCTYPE html>
<html lang="en">
<?php require("include/header.php");?>
<body>
    <div id="wrapper">
        <?php require("include/navegacion.php");?>
        <div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <h1 class="page-header">Videos de las Homilías</h1>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-example">
                                <thead>
                                    <tr>
                                        <th class="text-center">ID</th>
                                        <th class="text-center">Homilía</th>
                                        <th class="text-center">Fecha de publicación</th>
                                        <th class="text-center">Opción</th>
                                    </tr>
                                </thead>
                                <tbody>
                                <?php $datas = $database->query("SELECT * FROM videos")->fetchAll();
                                foreach($datas as $data){?>
                                    <tr class="odd gradeX">
                                        <td class="text-center"><?php echo $data['id_video']; ?></td>
                                        <td class="text-center">
                                            <iframe height="200"
                                            src="<?php echo "https://www.youtube.com/embed/".$data['video'];?>" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture">
                                            </iframe>
                                        <td class="text-center">
                                            <?php echo date('d-m-Y H:i:s',strtotime($data['fecha_creacion'])); ?>
                                        </td>
                                        <td class="text-center">
                                            <a class="btn btn-info btn-md" title="Editar" href="editar-video.php?id=<?php echo $data['id_video']?>">EDITAR VIDEO</a> 
                                        </td>
                                    </tr>
                                <?php } ?>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>  
        </div>
    </div>
    <div class="modal fade" id="modalInfo">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4>Información</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                </div>
                <div class="modal-body">
                    <p id="modalTexto"></p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Aceptar</button>
                </div>
            </div>
        </div>
    </div>
    <?php require("include/footer.php");?>    
</body>
</html>
