<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Radio Cor Ecclesiae</title>
    <meta name="description" content="Radio Web de la Familia de los Corazones Traspasados de Jesús y María">
    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="css/style.css">
    <link rel="stylesheet" type="text/css" href="css/jquery.fancybox.min.css">
    <script src='https://www.google.com/recaptcha/api.js'></script>
    <script type="text/javascript">
      function radio (url) {
        window.open(url, "width=300, height=200")
      }
    </script>
    <style type="text/css">
      .fancybox-slide--iframe .fancybox-content {
        width  : 100%;
        height : 200px;
        max-width  : 80%;
        max-height : 80%;
        margin: 0;
      }
    </style>
  </head>
<body id="inicio">

<?php include 'include/header.php'; ?>
<div id="myCarousel" class="carousel slide" data-ride="carousel">

  <!-- Wrapper for slides -->
  <div class="carousel-inner">
    <div class="item active">
      <img src="images/slider/madre-adela-2018.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
    </div>
    <div class="item">
      <img src="images/whatsapp_slide_2021.jpeg" class="img-responsive" alt="Radio Cor Ecclesiae">
    </div>
    <div class="item">
      <img src="images/slide_misa.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
    </div>
    <div class="item">
      <img src="images/slider/en-el-corazon-de-la-nueva-evangelizacion.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#en-el-corazon-de-la-nueva-evangelizacion"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>
    
    <div class="item">
      <img src="images/slider/bringing-jesus.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#bringing-jesus"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/testigos-de-la-fe.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
    </div>

    <div class="item">
      <img src="images/slider/totus-tuus.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#totus-tuus"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/en-el-corazon-de-maria.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#en-el-corazon-de-maria"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/Rediscover-His-Transforming-Word.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#rediscover-his-transforming-word"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/Treasures-of-the-Church.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#treasures-of-the-church"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/The-Legacy-of-St-JP2.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#the-legacy-of-st-jp2"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/Theology-of-Human-Love.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#theology-of-human-love"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/Jovenes-Centinelas-del-Manana.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#jovenes-centinelas-del-manana"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/Family-be-who-you-are.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
    </div>

    <div class="item">
      <img src="images/slider/In-The-Heart-of-Mary.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#in-the-heart-of-mary"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/Faith-Formation-To-Build-a-Civilization-of-Love.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
    </div>

    <div class="item">
      <img src="images/slider/Santo-Rosario-y-Misa-Diaria.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
    </div>

    <div class="item">
      <img src="images/slider/ninguna-oracion-se-pierde.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#ninguna-oracion-se-pierde"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/desde-el-corazon-de-madre-adela.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#desde-el-corazon-de-madre-adela"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/reinen-los-dos-corazones.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#reinen-los-dos-corazones"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/el-gozo-de-transmitir-la-fe.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#el-gozo-de-transmitir-la-fe"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/sacramentos.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#sacramentos"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/contemplar-los-tesoros-de-nuestra-fe.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#contemplar-los-tesoros-de-nuestra-fe"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>


    <div class="item">
      <img src="images/slider/los-muchos-rotros-de-maria.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#los-muchos-rotros-de-maria"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/el-amor-humano-en-el-plan-divino.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#el-amor-humano-en-el-plan-divino"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/venid-adoremos.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#venid-adoremos"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/id-al-mundo-entero.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#id-al-mundo-entero"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/imagen-y-semejanza.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#imagen-y-semejanza"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/en-el-fuego-de-los-corazones-traspasados.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#en-el-fuego-de-los-corazones-traspasados"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/el-esplandor-de-la-vida-consagrada.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#el-esplandor-de-la-vida-consagrada"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/la-buena-nueva-familia.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#la-buena-nueva-familia"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

    <div class="item">
      <img src="images/slider/familia-se-lo-que-eres.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      <div class="carousel-caption">
        <div class="slider-podcast">
          <a href="podcast.php#familia-se-lo-que-eres"><p class="hidden-xs">PODCAST</p>
          <img src="images/play.png" class="img-responsive play hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"></a>
        </div>
      </div>
    </div>

  </div>

  <!-- Left and right controls -->
  <a class="left carousel-control" href="#myCarousel" data-slide="prev">
    <img src="images/left.png" class="img-responsive" alt="Radio Cor Ecclesiae">
  </a>
  <a class="right carousel-control" href="#myCarousel" data-slide="next">
    <img src="images/right.png" class="img-responsive" alt="Radio Cor Ecclesiae">
  </a>
</div>
<div class="sombra">
  <div class="container">
    <div class="col-md-12 margin">
      <div class="col-md-10">
        <audio style="width:100%;" preload controls autoplay><source src="http://167.114.130.228:8510/stream"></audio>
      </div>
      <div class="col-md-2">
        <img src="images/en-vivo.png" class="img-responsive" alt="Radio Cor Ecclesiae">
      </div>
    </div>
  </div>
</div>
<div class="hidden-xs">
  <div class="titulo container-fluid margin">
    <div class="container">
      <div class="col-md-6">
    	 <h3>REFLEXIONES</h3>
      </div>
      <div class="col-md-6">
       <h3>HOMILIAS</h3>
      </div>
    </div>
  </div>
  <div class="container margin">
    <div class="col-md-6 margin">
      <div class="col-md-5">
        <img src="images/reflexiones.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      </div>
      <div class="col-md-7 descripcion">
        <p>Reflexiones de la Madre Adela Galindo, Fundadora Sctjm.</p>
        <a href="reflexiones.php"><img src="images/play.png" class="img-responsive play" alt="Radio Cor Ecclesiae"></a>
      </div>
    </div>
    <div class="col-md-6 margin">
      <div class="col-md-5">
        <img src="images/homilia.png" class="img-responsive" alt="Radio Cor Ecclesiae">
      </div>
      <div class="col-md-7 descripcion">
        <p>Homilias del Padre Valentin Pesente, OFM Cap.</p>
        <a href="homilias.php"><img src="images/play.png" class="img-responsive play" alt="Radio Cor Ecclesiae"></a>
      </div>
    </div>
    <div class="clearfix"></div>
  </div>
  <div class="titulo container-fluid margin">
    <div class="container">
      <div class="col-md-6">
       <h3>ROSARIO EN MISIÓN</h3>
      </div>
      <div class="col-md-6">
       <h3>PODCAST</h3>
      </div>
    </div>
  </div>
  <div class="container margin">
    <div class="col-md-6 margin">
      <div class="col-md-5">
        <img src="images/rosario.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      </div>
      <div class="col-md-7 descripcion">
        <p>Respondiendo a las llamadas de Nuestra Madre, ofrecemos este Santo Rosario por la conversión del mundo entero.</p>
        <a href="rosarios.php"><img src="images/play.png" class="img-responsive play" alt="Radio Cor Ecclesiae"></a>
      </div>
    </div>
    <!--3 PODCASTS-->
    <div class="col-md-6 margin">
      <img src="images/programas/vida-consagrada.jpg" class="img-responsive" alt="Radio Cor Ecclesiae" style="height:200px;">
      <a href="podcast.php"><img src="images/play.png" class="img-responsive play" alt="Radio Cor Ecclesiae"></a>
    </div>
    <div class="clearfix"></div>
  </div>
  <div class="titulo container-fluid margin">
    <div class="container">
      <div class="col-md-6">
       <h3>PROGRAMAS ESPECIALES</h3>
      </div>
      <div class="col-md-6">
       <h3>NOTICIAS DEL VATICANO</h3>
      </div>
    </div>
  </div>
  <div class="container margin">
    <div class="col-md-6 margin">
      <div class="col-md-5">
        <img src="images/consola.jpg" class="img-responsive">
      </div>
      <div class="col-md-7 descripcion">
        <p>Entrevista desde Roma a Madre Adela Galindo, Fundadora SCTJM y FCT con motivo de la canonización de Juan Pablo II y Juan XXIII.</p>
        <p>Conduncen: Hna. Lucia Marta y Evelin, sctjm</p>
        <a href="especiales.php"><img src="images/play.png" class="img-responsive play" alt="Radio Cor Ecclesiae"></a>
      </div>
    </div>
    <div class="col-md-6 margin">
      <div class="col-md-5">
        <img src="images/logo-newsva.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      </div>
      <div class="col-md-7 descripcion">
        <p><a href="http://www.news.va/es" target="_blank" style="color:#000000;">Acceda a todas las noticias del vaticano.</a></p>
        <!--a href="http://www.news.va/es" target="_blank"><img src="images/play.png" class="img-responsive play"></a-->
      </div>
    </div>
    <div class="clearfix"></div>
  </div>
</div>  
<!--MOBILE-->
<div class="hidden-lg hidden-md hidden-sm">
  <div class="titulo container-fluid margin">
    <div class="container">
      <div class="col-xs-12">
       <h3>REFLEXIONES</h3>
      </div>
    </div>
  </div>
  <div class="container margin">
    <div class="col-md-6 margin">
      <div class="col-md-5">
        <img src="images/reflexiones.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      </div>
      <div class="col-md-7 descripcion">
        <p>Reflexiones de la Madre Adela Galindo, Fundadora Sctjm.</p>
        <a href="reflexiones.php"><img src="images/play.png" class="img-responsive play" alt="Radio Cor Ecclesiae"></a>
      </div>
    </div>
  </div>
  <div class="titulo container-fluid margin">
    <div class="container">
      <div class="col-xs-12">
       <h3>HOMILIAS</h3>
      </div>
    </div>
  </div>
  <div class="container margin">
    <div class="col-md-6 margin">
      <div class="col-md-5">
        <img src="images/homilia.png" class="img-responsive" alt="Radio Cor Ecclesiae">
      </div>
      <div class="col-md-7 descripcion">
        <p>Homilias del Padre Valentim Pesente, OFM Cap.</p>
        <a href="homilias.php"><img src="images/play.png" class="img-responsive play" alt="Radio Cor Ecclesiae"></a>
      </div>
    </div>
  </div>
  <div class="titulo container-fluid margin">
    <div class="container">
      <div class="col-xs-12">
       <h3>ROSARIO EN MISIÓN</h3>
      </div>
    </div>
  </div>
  <div class="container margin">
    <div class="col-md-6 margin">
      <div class="col-md-5">
        <img src="images/rosario.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      </div>
      <div class="col-md-7 descripcion">
        <p>Respondiendo a las llamadas de Nuestra Madre, ofrecemos este Santo Rosario por la conversión del mundo entero.</p>
        <a href="rosarios.php"><img src="images/play.png" class="img-responsive play" alt="Radio Cor Ecclesiae"></a>
        <!--a class="snd" href="https://w.soundcloud.com/player/?url=https://api.soundcloud.com/tracks/125936531&color=ff6600&auto_play=true&show_artwork=true"><img src="images/play.png" class="img-responsive play"></a-->
      </div>
    </div>
  </div>
  <div class="titulo container-fluid margin">
    <div class="container">
      <div class="col-xs-12">
       <h3>PODCAST</h3>
      </div>
    </div>
  </div>
  <div class="container margin">
    <div class="col-md-6 margin">
      <img src="images/programas/vida-consagrada.jpg" class="img-responsive" alt="Radio Cor Ecclesiae" style="height:200px;">
      <a href="podcast.php"><img src="images/play.png" class="img-responsive play" alt="Radio Cor Ecclesiae"></a>
    </div>
 </div>   
  <div class="titulo container-fluid margin">
    <div class="container">
      <div class="col-xs-12">
       <h3>PROGRAMAS ESPECIALES</h3>
      </div>
    </div>
  </div>
  <div class="container margin">
    <div class="col-md-6 margin">
      <div class="col-md-5">
        <img src="images/consola.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      </div>
      <div class="col-md-7 descripcion">
        <p>Entrevista desde Roma a Madre Adela Galindo, Fundadora SCTJM y FCT con motivo de la canonización de Juan Pablo II y Juan XXIII.</p>
        <p>Conduncen: Hna. Lucia Marta y Evelin, sctjm</p>
        <a href="especiales.php"><img src="images/play.png" class="img-responsive play" alt="Radio Cor Ecclesiae"></a>
      </div>
    </div>
  </div>
  <div class="titulo container-fluid margin">
    <div class="container">
      <div class="col-xs-12">
       <h3>NOTICIAS DEL VATICANO</h3>
      </div>
    </div>
  </div>
  <div class="container margin">
    <div class="col-md-6 margin">
      <div class="col-md-5">
        <img src="images/logo-newsva.jpg" class="img-responsive" alt="Radio Cor Ecclesiae">
      </div>
      <div class="col-md-7 descripcion">
        <p><a href="http://www.news.va/es" target="_blank" style="color:#000000;">Acceda a todas las noticias del vaticano.</a></p>
      </div>
    </div>
    <div class="clearfix"></div>
  </div>
</div>
<!--FIN MOBILE-->

<div class="titulo container-fluid margin">
  <div class="container">
    <div class="col-md-12">
     <h3>VATICAN NEWS</h3>
    </div>
  </div>
</div>
<div class="container row-centered margin">
  <div class="col-md-6 margin">
    <div class="news">
      <script type="text/javascript" src="http://widgets.vatican.va/w1/?l=4"></script>
    </div>
  </div>
  <div class="col-md-6 hidden-xs margin">
      <iframe src="https://www.facebook.com/plugins/page.php?href=https%3A%2F%2Fwww.facebook.com%2FWebradioCorecclesiae%2F&tabs=timeline&width=395&height=530&small_header=false&adapt_container_width=true&hide_cover=false&show_facepile=true&appId" width="395" height="420" style="border:none;overflow:hidden" scrolling="no" frameborder="0" allowTransparency="true"></iframe>
  </div>
  <div class="col-md-6 hidden-lg hidden-md hidden-sm margin">
    <iframe style="width:100%;" src="https://www.facebook.com/plugins/page.php?href=https%3A%2F%2Fwww.facebook.com%2FWebradioCorecclesiae%2F&tabs=timeline&width=395&height=530&small_header=false&adapt_container_width=true&hide_cover=false&show_facepile=true&appId" height="420" style="border:none;overflow:hidden" scrolling="no" frameborder="0" allowTransparency="true"></iframe>
  </div>
  <div class="clearfix"></div>
</div>
<div class="parallax">
  <div class="container">
    <div class="col-md-8" style="margin-top:15%; float:right;">
      <p style="text-align:right;">"Al servicio de la Nueva Evangelización para llevar a muchos corazones al Corazón de la Iglesia"</p>
      <p style="font-family: 'poppinsregular'; font-size:22px; text-align:right;">Madre Adela Galindo SCTJM, Fundadora</p>
    </div>
  </div>
</div>
<div class="clearfix"></div>
<!--div class="titulo container-fluid">
  <div class="container">
    <div class="col-md-12">
     <h3>VIDEOS</h3>
    </div>
  </div>
</div>
<div class="container margin row-centered">
  <div class="col-md-6 margin col-centered">
    <iframe style="width:100%;" height="315" src="https://www.youtube.com/embed/p5pjZwGIfq0" frameborder="0" allowfullscreen></iframe>
  </div>
  <div class="clearfix"></div>
</div-->
<div class="titulo container-fluid">
  <div class="container">
    <div class="col-md-12">
     <h3>SUSCRIBIRSE</h3>
    </div>
  </div>
</div>
<div class="container margin">
  <div class="row">
    <form action="php/suscripcion-process.php" method="post" id="formularioSuscripcion">
        <div class="col-md-3">
          <input class="form-control mt-20" type="text" placeholder="Nombre y Apellido" name="nombre" required>
        </div>
        <div class="col-md-3">
          <input class="form-control mt-20" type="number" placeholder="Teléfono" name="telefono" required>
        </div>
        <div class="col-md-4">
          <div class="g-recaptcha" data-sitekey="6Lfhy4EaAAAAAO7qLMo6kulZ0TJKAXw2s7OztTEK"></div>
        </div>
        <div class="col-md-2">
          <input class="btn mt-20" type="submit" value="ENVIAR" id="btnEnviar">
        </div>
    </form>
  </div>
</div>

<div class="modal fade" id="modalInfo">
  <div class="modal-dialog">
      <div class="modal-content">
          <div class="modal-header">
              <h4>Información</h4>
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
          </div>
          <div class="modal-body">
              <p id="modalTexto"></p>
          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-default" data-dismiss="modal">Aceptar</button>
          </div>
      </div>
  </div>
</div> 

<?php include 'include/footer.php'; ?>

<script>
$(document).ready(function(){
  /*========= FORMULARIO DE SUSCRIPCION ============== */
  $("#formularioSuscripcion").submit(function(event) {
      event.preventDefault();
      var txtCaptcha = grecaptcha.getResponse();
      if (txtCaptcha.length == 0) {
          $("#modalTexto").text("Debe seleccionar que no es un robot");
          $("#modalInfo").modal();
          return false;
      }
      $.ajax({
          url: $(this).attr("action"),
          type: $(this).attr("method"),
          data: $(this).serialize(),
          beforeSend: function() {
              $("#btnEnviar").val("Enviando ...");
              $("#btnEnviar").attr("disabled", "disabled").css("cursor", "none");
          },
          success: function(respuesta) {
              $("#btnEnviar").val("ENVIAR");
              $("#btnEnviar").removeAttr("disabled").css("cursor", "pointer");
              $("#modalTexto").text(respuesta);
              $("#modalInfo").modal();
              grecaptcha.reset();
              if (respuesta == "Su suscripción ha sido enviada. Muchas gracias") {
                  $("#formularioSuscripcion")[0].reset();
              }
          }
      });
  });
})
</script>