<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Radio Cor Ecclesiae</title>
    <meta name="description" content="Radio Web de la Familia de los Corazones Traspasados de Jesús y María">
    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="css/style.css">
    <style>
    a>h3{
      min-height:50px;
    }
    </style>
  </head>
<body id="podcast">
<?php include 'include/header.php'; ?>
<div class="sombra">
  <div class="container">
    <div class="col-md-12 margin">
      <div class="col-md-10">
        <audio style="width:100%;" preload controls autoplay><source src="http://167.114.130.228:8510/stream"></audio>
      </div>
      <div class="col-md-2">
        <img src="images/en-vivo.png" class="img-responsive" alt="Radio Cor Ecclesiae">
      </div>
    </div>
  </div>
</div>
<div class="titulo container-fluid margin">
  <div class="container">
    <div class="col-md-12">
     <h3>PODCAST</h3>
    </div>
  </div>
</div>
<img src="images/separador.jpg" style="width:100%;" alt="Radio Cor Ecclesiae">
<div class="container-fluid margin row-centered">
  <div class="col-md-12 podcast col-centered">
    <div class="row">
      <div class="col-md-6">
        <a href="https://soundcloud.com/corecclesiae/sets/testigos-de-nuestra-fe" title="Testigos de Nuestra Fe" target="_blank" style="text-decoration: none;"><h3>Testigos de Nuestra Fe</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/1227937711&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=false&sharing=false&show_playcount=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="rediscover-his-transforming-word">
        <a href="https://soundcloud.com/corecclesiae/sets/rediscovering-his-transforming-word" title="Rediscovering his transforming word" target="_blank" style="text-decoration:none;"><h3>Rediscovering his transforming word</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" 
          src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/1227540430&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false&show_playcount=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="treasures-of-the-church">
        <a href="https://soundcloud.com/corecclesiae/sets/treasures-of-the-church" title="Treasures Of The Church" target="_blank" style="text-decoration: none;"><h3>Treasures Of The Church</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/910246435&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false&show_playcount=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="in-the-heart-of-mary">
        <a href="https://soundcloud.com/corecclesiae/sets/in-the-heart-of-mary-1" title="In the Heart of Mary" target="_blank" style="text-decoration: none;"><h3>In the Heart of Mary</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/1227996931&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="jovenes-centinelas-del-manana">
        <a href="https://soundcloud.com/corecclesiae/sets/jovenes-centinelas-del-manana" title="Jóvenes Centinelas del Mañana" target="_blank" style="text-decoration: none;"><h3>Jóvenes Centinelas del Mañana</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/910240762&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="bringing-jesus">
        <a href="https://soundcloud.com/corecclesiae/sets/bringing-jesus-to-the-culture" title="Bringing Jesus To The Culture Through Evangelization" target="_blank" style="text-decoration: none;"><h3>Bringing Jesus To The Culture Through Evangelization</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/910239946&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="theology-of-human-love">
        <a href="https://soundcloud.com/corecclesiae/sets/theology-of-human-love-1" title="Theology of human love" target="_blank" style="text-decoration: none;"><h3>Theology of human love</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/910223143&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=true&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="the-legacy-of-st-jp2">
        <a href="https://soundcloud.com/corecclesiae/sets/the-legacy-of-st-john-paul-ii" title="The Legacy of St. John Paul II" target="_blank" style="text-decoration: none;"><h3>The Legacy of St. John Paul II</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/910215142&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="en-el-corazon-de-maria">
        <a href="https://soundcloud.com/corecclesiae/sets/en-el-corazon-de-maria-2019" title="En el Corazon de Maria 2019" target="_blank" style="text-decoration: none;"><h3>En el Corazon de Maria 2019</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/910179481&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="el-esplandor-de-la-vida-consagrada">
        <a href="https://soundcloud.com/corecclesiae/sets/el-esplendor-de-la-vida-4" title="El esplendor de la vida consagrada" target="_blank" style="text-decoration: none;"><h3>El esplendor de la vida consagrada</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/910167133&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;">
        <a href="https://soundcloud.com/corecclesiae/sets/programas-cor-ecclesiae-2019" title="Programas Cor Ecclesiae 2019 Nuevos" target="_blank" style="text-decoration: none;"><h3>Programas Cor Ecclesiae 2019 Nuevos</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/882269857&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;">
        <a href="https://soundcloud.com/corecclesiae/sets/buena-nueva" title="Homilias" target="_blank" style="text-decoration: none;"><h3>Homilias</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/882261751&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="la-buena-nueva-familia">
        <a href="https://soundcloud.com/corecclesiae/sets/la-buena-nueva-en-familia" title="La Buena Nueva en Familia" target="_blank" style="text-decoration: none;"><h3>La Buena Nueva en Familia</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/84264193&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="familia-se-lo-que-eres">
        <a href="https://soundcloud.com/corecclesiae/sets/familia-s-lo-que-eres" title="Familia Sé lo que eres!" target="_blank" style="text-decoration: none;"><h3>Familia Sé lo que eres!</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/57353614&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;">
        <a href="https://soundcloud.com/corecclesiae/sets/contemplando-el-misterio-de-la" title="Contemplando el Misterio de la Virgen Maria" target="_blank" style="text-decoration: none;"><h3>Contemplando el Misterio de la Virgen Maria</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/27189041&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="los-muchos-rotros-de-maria">
        <a href="https://soundcloud.com/corecclesiae/sets/los-muchos-rostros-de-maria-1" title="Los muchos rostros de Maria" target="_blank" style="text-decoration: none;"><h3>Los muchos rostros de Maria</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18718218&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="sacramentos">
        <a href="https://soundcloud.com/corecclesiae/sets/sacramentos" title="Sacramentos: Signos e instrumentos mediante el cual el Espíritu Santo distribuye la gracia de Cristo" target="_blank" style="text-decoration: none;"><h3>Sacramentos: Signos e instrumentos mediante el cual el Espíritu Santo distribuye la gracia de Cristo</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18717245&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;">
        <a href="https://soundcloud.com/corecclesiae/sets/sal-del-mundo-y-luz-de-la" title="Sal del mundo y luz de la tierra" target="_blank" style="text-decoration: none;"><h3>Sal del mundo y luz de la tierra</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18245656&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;">
        <a href="https://soundcloud.com/corecclesiae/sets/la-iglesia-vive-de-la-eucarist" title="La Iglesia vive de la Eucaristía" target="_blank" style="text-decoration: none;"><h3>La Iglesia vive de la Eucaristía</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18245491&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;">
        <a href="https://soundcloud.com/corecclesiae/sets/doctrina-social-para-laicos" title="Doctrina social para laicos" target="_blank" style="text-decoration: none;"><h3>Doctrina social para laicos</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18245385&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;">
        <a href="https://soundcloud.com/corecclesiae/sets/protagonistas-del-futuro-1" title="Protagonistas del futuro" target="_blank" style="text-decoration: none;"><h3>Protagonistas del futuro</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18245287&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="en-el-fuego-de-los-corazones-traspasados">
        <a href="https://soundcloud.com/corecclesiae/sets/en-el-fuego-de-los-corazones" title="En el fuego de los Corazones Traspasados" target="_blank" style="text-decoration: none;"><h3>En el fuego de los Corazones Traspasados</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18245085&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="imagen-y-semejanza">
        <a href="https://soundcloud.com/corecclesiae/sets/imagen-y-semejanza" title="Imagen y semejanza" target="_blank" style="text-decoration: none;"><h3>Imagen y semejanza</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18245011&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;">
        <a href="https://soundcloud.com/corecclesiae/sets/en-la-escuela-del-coraz-n-del" title="En la escuela del corazón del Papa Francisco" target="_blank" style="text-decoration: none;"><h3>En la escuela del corazón del Papa Francisco</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18244888&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="venid-adoremos">
        <a href="https://soundcloud.com/corecclesiae/sets/venid-adoremos" title="Venid adoremos" target="_blank" style="text-decoration: none;"><h3>Venid adoremos</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18004433&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;">
        <a href="https://soundcloud.com/corecclesiae/sets/el-esplendor-de-la-vida" title="El esplendor de la vida consagrada" target="_blank" style="text-decoration: none;"><h3>El esplendor de la vida consagrada</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18004131&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="ninguna-oracion-se-pierde">
        <a href="https://soundcloud.com/corecclesiae/sets/ninguna-oraci-n-se-pierde" title="Ninguna oración se pierde" target="_blank" style="text-decoration: none;"><h3>Ninguna oración se pierde</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18004064&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;">
        <a href="https://soundcloud.com/corecclesiae/sets/tesitigos-de-las" title="Tesitigos de las Bienaventuranzas" target="_blank" style="text-decoration: none;"><h3>Tesitigos de las Bienaventuranzas</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18004024&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="el-gozo-de-transmitir-la-fe">
        <a href="https://soundcloud.com/corecclesiae/sets/el-gozo-de-trasmitir-la-fe" title="El gozo de Trasmitir la fe" target="_blank" style="text-decoration: none;"><h3>El gozo de Trasmitir la fe</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18003977&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="en-el-corazon-de-la-nueva-evangelizacion">
        <a href="https://soundcloud.com/corecclesiae/sets/en-el-corazon-de-la-nueva" title="En el Corazon de la Nueva Evangelización" target="_blank" style="text-decoration: none;"><h3>En el Corazon de la Nueva Evangelización</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18003925&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="reinen-los-dos-corazones">
        <a href="https://soundcloud.com/corecclesiae/sets/reinen-los-dos-corazones" title="Reinen los Dos Corazones" target="_blank" style="text-decoration: none;"><h3>Reinen los Dos Corazones</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18003855&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="totus-tuus">
        <a href="https://soundcloud.com/corecclesiae/sets/totus-tuus" title="Totus Tuus" target="_blank" style="text-decoration: none;"><h3>Totus Tuus</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18003810&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;">
        <a href="https://soundcloud.com/corecclesiae/sets/infocatolica" title="Infocatolica" target="_blank" style="text-decoration: none;"><h3>Infocatolica</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18003736&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;">
        <a href="https://soundcloud.com/corecclesiae/sets/mar-a-en-el-plan-de-salvaci-n" title="María en el plan de salvación" target="_blank" style="text-decoration: none;"><h3>María en el plan de salvación</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18003683&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="contemplar-los-tesoros-de-nuestra-fe">
        <a href="https://soundcloud.com/corecclesiae/sets/contemplar-los-tesoros-de" title="Contemplar los tesoros de nuestra Fe" target="_blank" style="text-decoration: none;"><h3>Contemplar los tesoros de nuestra Fe</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18003662&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="desde-el-corazon-de-madre-adela"> 
        <a href="https://soundcloud.com/corecclesiae/sets/desde-el-coraz-n-de-madre" title="Desde el Corazón de Madre Adela" target="_blank" style="text-decoration: none;"><h3>Desde el Corazón de Madre Adela</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18003552&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="el-amor-humano-en-el-plan-divino">
        <a href="https://soundcloud.com/corecclesiae/sets/el-amor-humano-en-el-plan" title="El amor humano en el plan divino" target="_blank" style="text-decoration: none;"><h3>El amor humano en el plan divino</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18003510&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;">
        <a href="https://soundcloud.com/corecclesiae/sets/protagonistas-del-futuro" title="Protagonistas del futuro" target="_blank" style="text-decoration: none;"><h3>Protagonistas del futuro</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18003470&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;">
        <a href="https://soundcloud.com/corecclesiae/sets/en-el-coraz-n-del-papa" title="En el corazón del Papa Francisco" target="_blank" style="text-decoration: none;"><h3>En el corazón del Papa Francisco</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18003291&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;" id="id-al-mundo-entero">
        <a href="https://soundcloud.com/corecclesiae/sets/id-al-mundo-entero" title="Id al mundo entero" target="_blank" style="text-decoration: none;"><h3>Id al mundo entero</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18003251&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;">
        <a href="https://soundcloud.com/corecclesiae/21-12-2013-dejen-que-los-ni-os?in=corecclesiae/sets/dejen-que-los-ni-os-vengan-a" title="Dejen que los niños vengan a mi" target="_blank" style="text-decoration: none;"><h3>Dejen que los niños vengan a mi</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/18003210&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
      <div class="col-md-6" style="margin-bottom: 50px;">
        <a href="https://soundcloud.com/corecclesiae/sets/virgen-mar-a" title="Virgen María" target="_blank" style="text-decoration: none;"><h3>Virgen María</h3></a>
        <iframe width="100%" height="300" scrolling="no" frameborder="no" allow="autoplay" src="https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/playlists/17467129&color=78dbff&auto_play=false&hide_related=false&show_comments=true&show_user=false&show_reposts=false&show_teaser=true&visual=false&sharing=false"></iframe>
      </div>
    </div>
  </div>
</div>

<?php include 'include/footer.php'; ?>