<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Radio Cor Ecclesiae</title>
    <meta name="description" content="Radio Web de la Familia de los Corazones Traspasados de Jesús y María">
    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="css/style.css">
  </head>
<body>
<?php include 'include/header.php'; ?>
<div class="sombra">
  <div class="container">
    <div class="col-md-12 margin">
      <div class="col-md-10">
        <audio style="width:100%;" preload controls autoplay><source src="http://167.114.130.228:8510/stream"></audio>
      </div>
      <div class="col-md-2">
        <img src="images/en-vivo.png" class="img-responsive" alt="Radio Cor Ecclesiae">
      </div>
    </div>
  </div>
</div>  
<div class="titulo container-fluid margin">
  <div class="container">
    <div class="col-md-12">
     <h3>ROSARIOS EN MISIÓN</h3>
    </div>
  </div>
</div>
<img src="images/separador.jpg" style="width:100%;" alt="Radio Cor Ecclesiae">
<div class="container margin">
  <div class="col-md-12">
    <p class="rosario" style="color:#3f6380; font-family:'poppinssemibold';">Meditaciones escritas por Madre Adela Galindo, Fundadora SCTJM</p>
    <p class="rosario">Respondiendo a las llamadas de Nuestra Madre, ofrecemos este Santo Rosario por la conversión del mundo entero: para que triunfe la cultura del amor, de la vida, del encuentro, del dialogo, de la paz y de la solidaridad en todos los corazones y en el mundo entero.</p>
    <p class="rosario">¡Que Reinen los Dos Corazones en nuestros corazones y en el mundo entero!</p>
    <p class="rosario" style="color:#8c8e90;">* Colocar el cursor encima de cada Misterio</p>

    <img src="images/rosario_2.png" class="img-responsive hidden-lg hidden-md hidden-sm" alt="Radio Cor Ecclesiae"/>

    <div class="col-md-12 rosario-img hidden-xs">
      <div class="col-md-6 col-xs-12">
        <img src="images/rosario_2.png" class="img-responsive rosario" border="0" usemap="#map" style="top:0px" />
        <map name="map">
          <area shape="poly" coords="236,58,214,77,235,92,271,92,334,37,411,58,436,104,470,82,445,31,365,6,245,37" alt="Primer Misterio" target="primer_misterio" />
          <area shape="poly" coords="436,101,479,103,435,269,364,324,335,302,407,199,430,123" alt="Segundo Misterio" target="segundo_misterio" />
          <area shape="poly" coords="335,305,378,337,243,423,203,409,143,342,184,327,244,385" alt="Tercer Misterio" target="tercer_misterio" />
          <area shape="poly" coords="141,346,174,320,60,129,13,132,34,259,112,330" alt="Cuarto Misterio" target="cuarto_misterio" />
          <area shape="poly" coords="11,129,58,126,103,44,204,62,234,27,160,5,69,9,34,33" alt="Quinto Misterio" target="quinto_misterio" />
          <area shape="poly" coords="226,97,223,216,272,213,264,96,228,93" target="final_misterio" />
        </map>

        <a href="#" id="ultimo_mist" style="display: block;height: 132px;left: 466px;position: absolute;top: 400px;width: 32px; z-index:99"></a>
      </div>

      <div class="col-md-6 col-xs-12 hidden margin" id="primer_misterio">
        <h1>Primer Misterio</h1>
        <span>Europa</span><br />
        Por las intenciones del Santo Padre, por su misión de pastor universal para que en comunión con todos los obispos y sacerdotes pastoreen al Pueblo de Dios, con solicitud generosa, con sabiduría iluminada por la fuerza de la fe, y nos conduzcan por la senda segura del Evangelio.

        <br /><br />
        <h1 class="small">¡Madre de la Iglesia, Ruega por nosotros!</h1>
      </div>

      <div class="col-md-6 col-xs-12 hidden margin" id="segundo_misterio">
        <h1>Segundo Misterio</h1>
        <span>América</span><br />
        Por todas las familias del mundo, para que sean fortalecidas y cimentadas en el verdadero amor y en la fidelidad para así ser escuelas de fe y de virtud para formar hombres y mujeres de bien al servicio de la sociedad. Pedimos también, por la sanación de todas las familias que han experimentado el dolor de la separación y de la ruptura.
            <br /><br />
        <h1 class="small">¡Reina de las Familias, Ruega por nosotros!</h1>
      </div>

      <div class="col-md-6 col-xs-12 hidden margin" id="tercer_misterio">
        <h1>Tercer Misterio</h1>
            <span>África</span><br />
            Por todos nuestros hermanos que sufren en su alma o en su cuerpo, los cristianos perseguidos por la fe, por los enfermos, los pobres, los inmigrantes, los que no tienen trabajo, los secuestrados y los que padecen de alguna adicción. Por todas las llagas de la humanidad de hoy, para que reciban el poder sanador del amor misericordioso de Dios.

          <br /><br />
          <h1 class="small">¡Madre de los que sufren, ruega por nosotros!</h1>
      </div>

      <div class="col-md-6 col-xs-12 hidden margin" id="cuarto_misterio">
        <h1>Cuarto Misterio</h1>
            <span>Asia</span><br />
            Por todos los religiosos y religiosas, para que abrazando los consejos evangélicos como forma de vida, sean testigos fieles del gozo de las Bienaventuranzas y junto con los misioneros, sean intrépidos apóstoles de la Nueva Evangelización y así remar mas adentro en los océanos de nuestro tiempo.

          <br /><br />
          <h1 class="small">¡Madre de las Misiones, Ruega por nosotros!</h1>
      </div>

      <div class="col-md-6 col-xs-12 hidden margin" id="quinto_misterio">
        <h1>Quinto Misterio</h1>
            <span>Oceanía</span><br />
            Quinto Misterio: Por todos los gobernantes y los que tienen misiones al servicio de sus pueblos, para que lleven a cabo con seriedad y responsabilidad su misión de construir sociedades más justas, más pacíficas, más dignas de la persona humana.

          <br /><br />
          <h1 class="small">¡Reina de Todas las Naciones, Ruega por nosotros!</h1>
      </div>

      <div class="col-md-6 col-xs-12 hidden margin" id="final_misterio">
        Al concluir el Santo Rosario, después de rezar el Salve Regina, invocamos a Nuestra Señora:
        <br /><br />
        <span style="color:#FCB400">¡Madre del amor y Reina de la Paz, Ruega por nosotros!</span>
      </div>
    </div>
      
      <div class="clearfix"></div>
      <div class="col-md-6 rosario1 margin">
        <div class="rosario-titulo1">
          <h4>Misterios Gozosos (Lunes y Sábado)</h4>
        </div>
        <p style="padding-top:10px;"><font style="color: #fb7c00;">1-</font> La Encarnación del Hijo de Dios.</p>
        <p><font style="color: #fb7c00;">2-</font> La Visitación de Nuestra Señora a Santa Isabel.</p>
        <p><font style="color: #fb7c00;">3-</font> Nacimiento del Hijo de Dios.</p>
        <p><font style="color: #fb7c00;">4-</font> La Purificación de la Virgen Santísima.</p>
        <p><font style="color: #fb7c00;">5-</font> La Pérdida del Niño Jesús y su hallazgo en el templo.</p>
      </div>

      <div class="col-md-6 rosario2 margin">
        <div class="rosario-titulo2">
          <h4>Misterios Luminosos (Jueves)</h4>
        </div>
        <p style="padding-top:10px;"><font style="color: #af3685;">1-</font> El Bautismo de Jesús en el Jordán.</p>
        <p><font style="color: #af3685;">2-</font> Autorrevelación de Jesús en las bodas de Caná.</p>
        <p><font style="color: #af3685;">3-</font> La Transfiguración.</p>
        <p><font style="color: #af3685;">4-</font> La institución de la Eucaristía.</p>
      </div>
      <div class="clearfix"></div>

      <div class="col-md-6 rosario3 margin">
        <div class="rosario-titulo3">
          <h4>Misterios Dolorosos (Martes Y Viernes)</h4>
        </div>
        <p style="padding-top:10px;"><font style="color: #ff1c35;">1-</font> La Oración de Nuestro Señor en el Huerto.</p>
        <p><font style="color: #ff1c35;">2-</font> La Flagelación del Señor.</p>
        <p><font style="color: #ff1c35;">3-</font> La Coronación de espinas.</p>
        <p><font style="color: #ff1c35;">4-</font> Jesús carga con la cruz.</p>
        <p><font style="color: #ff1c35;">5-</font> La Crucifixión y Muerte de Nuestro Señor.</p>
      </div>

      <div class="col-md-6 rosario4 margin">
        <div class="rosario-titulo4">
          <h4>Misterios Gloriosos (Miércoles Y Domingo)</h4>
        </div>
        <p style="padding-top:10px;"><font style="color: #4159b2;">1-</font> La Oración de Nuestro Señor en el Huerto.</p>
        <p><font style="color: #4159b2;">2-</font> La Flagelación del Señor.</p>
        <p><font style="color: #4159b2;">3-</font> La Coronación de espinas.</p>
        <p><font style="color: #4159b2;">4-</font> Jesús carga con la cruz.</p>
        <p><font style="color: #4159b2;">5-</font> La Crucifixión y Muerte de Nuestro Señor.</p>
      </div>

      <div id="fb-root"></div>
      <script async defer crossorigin="anonymous" src="https://connect.facebook.net/es_LA/sdk.js#xfbml=1&version=v10.0" nonce="4PzTjH0w"></script>

      <div class="col-md-6 facebook margin">
        <h3>Compromisos</h3>
          <p>Dejá tu mensaje y comprometete a rezar el rosario</p>
          <br />
          <div class="fb-comments" data-order-by="reverse_time" data-href="http://www.corecclesiae.org/rosarios.php" data-width="100%" data-numposts="5"></div>
      </div>

  </div>
</div>


<?php include 'include/footer.php'; ?>
<script type="text/javascript">

  $(document).ready( function(){
    
    $('area').hover( function(){
      var ele = $(this).attr('target');
      console.log(ele);
      $('#'+ele).attr('class','show');
    },function() {
      var ele = $(this).attr('target');
      $('#'+ele).attr('class','hidden');
    });

    $("#ultimo_mist").hover(
      function() {
        $("#final_misterio").attr('class','show');
      },function() {
        $("#final_misterio").attr('class','hidden');
    });

  });
</script>
